---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: forgejo
spec:
  selector:
    matchLabels:
      container: forgejo
  template:
    metadata:
      labels:
        container: forgejo
        is-container: 'true'
        use-fallback-network-policy: 'true'
        uses-compat-layer: tipi
    spec:
      containers:
      - env:
        - name: FORGEJO__database__DB_TYPE
          value: postgres
        - name: FORGEJO__database__HOST
          value: forgejo-db:5432
        - name: FORGEJO__database__NAME
          value: forgejo
        - name: FORGEJO__database__PASSWD
          value: 9f72ca760ea49669111b637cd29ad72b
        - name: FORGEJO__database__USER
          value: forgejo
        - name: USER_GID
          value: '1000'
        - name: USER_UID
          value: '1000'
        image: codeberg.org/forgejo/forgejo:1.21.11-0
        name: forgejo
        volumeMounts:
        - mountPath: /data
          name: longhorn-own-data
          subPath: data/forgejo
      volumes:
      - name: longhorn-own-data
        persistentVolumeClaim:
          claimName: data
          readOnly: false

---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: forgejo-db
spec:
  selector:
    matchLabels:
      container: forgejo-db
  template:
    metadata:
      labels:
        container: forgejo-db
        is-container: 'true'
        use-fallback-network-policy: 'true'
        uses-compat-layer: tipi
    spec:
      containers:
      - env:
        - name: POSTGRES_DB
          value: forgejo
        - name: POSTGRES_PASSWORD
          value: 9f72ca760ea49669111b637cd29ad72b
        - name: POSTGRES_USER
          value: forgejo
        image: postgres:14
        name: forgejo-db
        volumeMounts:
        - mountPath: /var/lib/postgresql/data
          name: longhorn-own-data
          subPath: data/postgres
      volumes:
      - name: longhorn-own-data
        persistentVolumeClaim:
          claimName: data
          readOnly: false

